Package be.fgov.ehealth.mediprima.core.v1

# Class ConsultCarmedInterventionResultType

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.ConsultCarmedInterventionResultType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:17+02:00", comments="JAXB RI v4.0.5") public class ConsultCarmedInterventionResultType extends Object implements Serializable

Java class for ConsultCarmedInterventionResultType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCarmedInterventionResultType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CarmedIdentifier" type="{urn:be:fgov:ehealth:mediprima:core:v1}CarmedIdentifierType"/>
             <element name="CarmedContent" type="{urn:be:fgov:ehealth:mediprima:core:v1}CarmedContentCareType" minOccurs="0"/>
             <element name="AgreementNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCarmedInterventionResultType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgreementNumber()`
  Agreement number assigned by MediPrima to the healthcare provider for a valid consultation of electronic decision support.
  `CarmedContentCareType`
  `getCarmedContent()`
  Content of the medical card
  `CarmedIdentifierType`
  `getCarmedIdentifier()`
  Identification of the medical card
  `void`
  `setAgreementNumber(String value)`
  Sets the value of the agreementNumber property.
  `void`
  `setCarmedContent(CarmedContentCareType value)`
  Sets the value of the carmedContent property.
  `void`
  `setCarmedIdentifier(CarmedIdentifierType value)`
  Sets the value of the carmedIdentifier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCarmedInterventionResultType

    public ConsultCarmedInterventionResultType()

- ## Method Details

  - ### getCarmedIdentifier

    public CarmedIdentifierType getCarmedIdentifier()
    Identification of the medical card
    Returns:
      possible object is `CarmedIdentifierType`

  - ### setCarmedIdentifier

    public void setCarmedIdentifier(CarmedIdentifierType value)
    Sets the value of the carmedIdentifier property.
    Parameters:
      `value` - allowed object is `CarmedIdentifierType`
    See Also:
      - `getCarmedIdentifier()`

  - ### getCarmedContent

    public CarmedContentCareType getCarmedContent()
    Content of the medical card
    Returns:
      possible object is `CarmedContentCareType`

  - ### setCarmedContent

    public void setCarmedContent(CarmedContentCareType value)
    Sets the value of the carmedContent property.
    Parameters:
      `value` - allowed object is `CarmedContentCareType`
    See Also:
      - `getCarmedContent()`

  - ### getAgreementNumber

    public String getAgreementNumber()
    Agreement number assigned by MediPrima to the healthcare provider for a valid consultation of electronic decision support. It expresses the guarantee of being reimbursed on medical costs. This information must be copied in the invoice sent to the HZIV/CAAMI.
    Returns:
      possible object is `String`

  - ### setAgreementNumber

    public void setAgreementNumber(String value)
    Sets the value of the agreementNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAgreementNumber()`